%Příklad čislo 1
clc 
clear
numElements = 2; %Počet prutu
numNodes = 3; %Počet uzlu
numDOFpernode =3; %Stupeň volnosti uzlu
numDOF = numNodes * numDOFpernode; %Stupeň volnosti celé konstrukce
K_global = zeros (numDOF, numDOF); %Globalní matice tuhosti

%Pomocná matice pro sestávení globalní matice tuhosti
PM = [1 2 3 4 5 6; %čislovaní deformací pro prut 1-2
     4 5 6 7 8 9] %čislovaní deformací pro prut 2-3

%Sestavení globalní matice tuhosti celé konstrukce
for i= 1:numElements

   K_global(PM(i,:),PM(i,:)) = K_global(PM(i,:),PM(i,:)) + vetknuti_vetknuti;

end

%Sestavení globalního vektoru primarních koncových účinků
numqElements = 1;
numFElements = 1;
R_global = zeros (numDOF, 1);

for i=1:numqElements
   R_vector{i} = q_zatizeni_111_111
   R_global ([1 2 3 4 5 6],[1]) = R_global ([1 2 3 4 5 6],[1]) + R_vector{i}
        for j=1:numFElements
           R_vector{j} = F_zatizeni_111_111
           R_global ([4 5 6 7 8 9],[1]) = R_global ([4 5 6 7 8 9],[1]) + R_vector{j}
        end
end
%Sestavení globalního vektoru uzlového zatížení
S_global= zeros (numDOF, 1);

%Sestavení vektoru pravé strany
F_global = S_global-R_global;

%Sestavení globalního vektoru parametrů deformaci
r = zeros(numDOF,1);

r(6:6) = K_global(6:6,6:6)\F_global(6:6);

%Sestavení lokalního vektoru sekundarních koncových sil
R_local = zeros (numDOF, 1);
R_local = K_global*r;

%Sestavení vektoru celkových koncových sil
R_total = R_global + R_local;

%Sestavení vektoru celkových koncových sil zvlašt' pro každý prut
r_12 = zeros(6,1)
r_12 ([1 2 3 4 5 6], [1]) = r ([1 2 3 4 5 6], [1])
R_12 = zeros(6,1)
R_12 = q_zatizeni_111_111 + vetknuti_vetknuti*r_12

r_23 = zeros(6,1)
r_23 ([1 2 3 4 5 6], [1]) = r ([4 5 6 7 8 9], [1])
R_23 = zeros(6,1)
R_23 = F_zatizeni_111_111 + vetknuti_vetknuti*r_23

%Vnitřní sily pro prut 1-2
N_12 = R_12(1)
V_12 = -R_12(2)
M_12 = -R_12(3)
N_21 = R_12(4)
V_21 = R_12(5)
M_21 = R_12(6)

%Vektor vnitřních sil pro prut 1-2
VVS_12 = zeros(6,1)
VVS_12 = [N_12
          V_12
          M_12
          N_21
          V_21
          M_21]

%Vnitřní sily pro prut 2-3
N_23 = R_23(1)
V_23 = -R_23(2)
M_23 = -R_23(3)
N_32 = R_23(4)
V_32 = R_23(5)
M_32 = R_23(6)

%Vektor vnitřních sil pro prut 1-2

VVS_23 = zeros(6,1)
VVS_23 = [N_23
          V_23
          M_23
          N_32
          V_32
          M_32]



